> ## Documentation Index
> Fetch the complete documentation index at: https://docs.swarmd.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update an identity provider

> **Security Requirements**

| Auth Types | Entities | Permissions | Required Roles |
|------------|----------|-------------|----------------|
| USER | IDENTITY_PROVIDERS | WRITE | IDENTITY_PROVIDERS:WRITE |



## OpenAPI

````yaml /openapi/swarmd.json put /tenant-auth/v1/identity-providers/{identityProviderId}
openapi: 3.0.1
info:
  title: OpenAPI definition
  version: v0
servers:
  - url: https://api.swarmd.ai
    description: Production
  - url: https://api.sandbox.swarmd.ai
    description: Sandbox
security: []
tags:
  - name: Policy Groups
    x-displayName: Policy Groups
  - name: Policy Bindings
    x-displayName: Policy Bindings
  - name: Webhooks
    x-displayName: Webhooks
  - name: Human JSON-RPC
    x-displayName: Human JSON-RPC
  - name: Channel JSON-RPC
    x-displayName: Channel JSON-RPC
  - name: HITL Approvals
    x-displayName: HITL Approvals
  - name: Agent JSON-RPC
    x-displayName: Agent JSON-RPC
  - name: Tasks
    x-displayName: Tasks
  - name: Push Notifications
    x-displayName: Push Notifications
  - name: Messaging
    x-displayName: Messaging
  - name: Conversations
    x-displayName: Conversations
  - name: Agent Discovery
    x-displayName: Agent Discovery
  - name: User Subscriptions
    x-displayName: User Subscriptions
  - name: MCP Servers
    x-displayName: MCP Servers
  - name: Kill Switches
    x-displayName: Kill Switches
  - name: Channels
    x-displayName: Channels
  - name: Channel Subscriptions
    x-displayName: Channel Subscriptions
  - name: Agents
    x-displayName: Agents
  - name: Agent Subscriptions
    x-displayName: Agent Subscriptions
  - name: Marketplace
    x-displayName: Marketplace
  - name: Identity Providers
    x-displayName: Identity Providers
  - name: Groups
    x-displayName: Groups
  - name: Authentication
    x-displayName: Authentication
  - name: Users
    x-displayName: Users
  - name: Tenants
    x-displayName: Tenants
  - name: Audit Integrity
    x-displayName: Audit Integrity
  - name: Audit Events
    x-displayName: Audit Events
  - name: Audit Traces
    x-displayName: Audit Traces
  - name: A2A Payments
    x-displayName: A2A Payments
paths:
  /tenant-auth/v1/identity-providers/{identityProviderId}:
    put:
      tags:
        - Identity Providers
      summary: Update an identity provider
      description: |-
        **Security Requirements**

        | Auth Types | Entities | Permissions | Required Roles |
        |------------|----------|-------------|----------------|
        | USER | IDENTITY_PROVIDERS | WRITE | IDENTITY_PROVIDERS:WRITE |
      operationId: updateIdentityProvider
      parameters:
        - name: identityProviderId
          in: path
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateIdentityProviderRequest'
        required: true
      responses:
        '200':
          description: OK
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/IdentityProviderResponse'
      security:
        - bearerAuth: []
components:
  schemas:
    UpdateIdentityProviderRequest:
      type: object
      properties:
        displayName:
          type: string
        enabled:
          type: boolean
        emailDomains:
          type: array
          items:
            type: string
        config:
          oneOf:
            - $ref: '#/components/schemas/GoogleWorkspaceConfig'
            - $ref: '#/components/schemas/MicrosoftEntraConfig'
            - $ref: '#/components/schemas/OktaConfig'
        groupMappings:
          type: object
          additionalProperties:
            type: string
            format: uuid
    IdentityProviderResponse:
      type: object
      properties:
        id:
          type: string
          format: uuid
        tenantId:
          type: string
          format: uuid
        provider:
          type: string
          enum:
            - MICROSOFT_ENTRA
            - GOOGLE_WORKSPACE
            - OKTA
        alias:
          type: string
        displayName:
          type: string
        enabled:
          type: boolean
        config:
          oneOf:
            - $ref: '#/components/schemas/GoogleWorkspaceConfig'
            - $ref: '#/components/schemas/MicrosoftEntraConfig'
            - $ref: '#/components/schemas/OktaConfig'
        groupMappings:
          type: object
          additionalProperties:
            type: string
            format: uuid
        emailDomains:
          type: array
          items:
            $ref: '#/components/schemas/EmailDomainStatus'
        redirectUri:
          type: string
        createdBy:
          type: string
          format: uuid
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
    GoogleWorkspaceConfig:
      required:
        - clientId
        - clientSecret
      type: object
      allOf:
        - $ref: '#/components/schemas/IdentityProviderConfig'
        - type: object
          properties:
            clientId:
              type: string
            clientSecret:
              type: string
    MicrosoftEntraConfig:
      required:
        - clientId
        - clientSecret
        - tenantId
      type: object
      allOf:
        - $ref: '#/components/schemas/IdentityProviderConfig'
        - type: object
          properties:
            tenantId:
              type: string
            clientId:
              type: string
            clientSecret:
              type: string
    OktaConfig:
      required:
        - clientId
        - clientSecret
        - domain
      type: object
      allOf:
        - $ref: '#/components/schemas/IdentityProviderConfig'
        - type: object
          properties:
            domain:
              type: string
            clientId:
              type: string
            clientSecret:
              type: string
    EmailDomainStatus:
      type: object
      properties:
        domain:
          type: string
        status:
          type: string
          enum:
            - PENDING
            - VERIFIED
        expectedTxtRecordName:
          type: string
        expectedTxtRecordValue:
          type: string
        verifiedAt:
          type: string
          format: date-time
        lastCheckedAt:
          type: string
          format: date-time
        lastCheckError:
          type: string
    IdentityProviderConfig:
      required:
        - type
      type: object
      properties:
        type:
          type: string
      discriminator:
        propertyName: type
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: JWT token (USER, AGENT, or SERVICE auth)

````